<template>
  <div>
    <BaseCard description="" title="">
      <div v-for="o in this.files" :key="o.filename" class="mt-4 mb-4 text-left">
        Export file <strong>{{ o.filename }}</strong> to shared folder with the following content:
        <div class="mt-3"><code class="text-sm">{{ o.content }}</code></div>
      </div>
    </BaseCard>
  </div>
</template>

<script lang="ts">
import {defineComponent} from 'vue';
import BaseCard from "@/components/BaseCard.vue";
import {useRoute} from "vue-router";
import {streamService} from "@/services/services";
import {OutputFile} from "@/services/streamResponse";

export default defineComponent({
  name: 'ExportDocument',
  components: {
    BaseCard,
  },
  data() {
    return {
      streamId: "",
      streamState: "",
      files: [] as OutputFile[]
    }
  },
  async mounted() {
    const route = useRoute()
    const streamStr: string | string[] = route.params.streamId;

    if (typeof streamStr !== "string") {
      alert("documentId route parameter must be a string, not a string array")
      return
    }

    this.streamId = streamStr

    const startExportResponse = await streamService.startExport(this.streamId)
    this.files = startExportResponse.documents[0].files
    console.log("started export", this.files)

    const streamResponse = await streamService.get(this.streamId)
    this.streamState = streamResponse.state
    console.log("stream status", this.streamState)

    console.log("export page", this.streamId)
  },
});
</script>
